diff --git a/editors/kate/pkg-plist b/editors/kate/pkg-plist
index 7ce126c72498..f17ea13fcfdc 100644
--- a/editors/kate/pkg-plist
+++ b/editors/kate/pkg-plist
@@ -1018,6 +1154,7 @@ share/locale/pa/LC_MESSAGES/katesymbolviewer.mo
 share/locale/pa/LC_MESSAGES/katetextfilter.mo
 share/locale/pa/LC_MESSAGES/katexmltools.mo
 share/locale/pa/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/pl/LC_MESSAGES/formatplugin.mo
 share/locale/pl/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/pl/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/pl/LC_MESSAGES/kate.mo
@@ -1025,6 +1162,7 @@ share/locale/pl/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/pl/LC_MESSAGES/katebuild-plugin.mo
 share/locale/pl/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/pl/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/pl/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/pl/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/pl/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/pl/LC_MESSAGES/katefiletree.mo
@@ -1042,6 +1180,8 @@ share/locale/pl/LC_MESSAGES/katexmlcheck.mo
 share/locale/pl/LC_MESSAGES/katexmltools.mo
 share/locale/pl/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/pl/LC_MESSAGES/lspclient.mo
+share/locale/pl/LC_MESSAGES/rainbowparens.mo
+share/locale/pl/LC_MESSAGES/rbqlplugin.mo
 share/locale/pl/LC_MESSAGES/tabswitcherplugin.mo
 share/locale/pt/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/pt/LC_MESSAGES/kate-replicode-plugin.mo
@@ -1114,6 +1254,7 @@ share/locale/ro/LC_MESSAGES/katexmltools.mo
 share/locale/ro/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/ro/LC_MESSAGES/lspclient.mo
 share/locale/ro/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/ru/LC_MESSAGES/formatplugin.mo
 share/locale/ru/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/ru/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/ru/LC_MESSAGES/kate.mo
@@ -1121,6 +1262,7 @@ share/locale/ru/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/ru/LC_MESSAGES/katebuild-plugin.mo
 share/locale/ru/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/ru/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/ru/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/ru/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/ru/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/ru/LC_MESSAGES/katefiletree.mo
@@ -1138,7 +1280,13 @@ share/locale/ru/LC_MESSAGES/katexmlcheck.mo
 share/locale/ru/LC_MESSAGES/katexmltools.mo
 share/locale/ru/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/ru/LC_MESSAGES/lspclient.mo
+share/locale/ru/LC_MESSAGES/rainbowparens.mo
 share/locale/ru/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/sa/LC_MESSAGES/kate.mo
+share/locale/sa/LC_MESSAGES/kategdbplugin.mo
+share/locale/sa/LC_MESSAGES/kateproject.mo
+share/locale/sa/LC_MESSAGES/katesearch.mo
+share/locale/sa/LC_MESSAGES/lspclient.mo
 share/locale/se/LC_MESSAGES/kate.mo
 share/locale/se/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/se/LC_MESSAGES/katefiletree.mo
@@ -1154,6 +1302,7 @@ share/locale/si/LC_MESSAGES/katesearch.mo
 share/locale/si/LC_MESSAGES/katesql.mo
 share/locale/si/LC_MESSAGES/katesymbolviewer.mo
 share/locale/si/LC_MESSAGES/katexmltools.mo
+share/locale/sk/LC_MESSAGES/formatplugin.mo
 share/locale/sk/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/sk/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/sk/LC_MESSAGES/kate.mo
@@ -1161,6 +1310,7 @@ share/locale/sk/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/sk/LC_MESSAGES/katebuild-plugin.mo
 share/locale/sk/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/sk/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/sk/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/sk/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/sk/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/sk/LC_MESSAGES/katefiletree.mo
@@ -1178,7 +1328,10 @@ share/locale/sk/LC_MESSAGES/katexmlcheck.mo
 share/locale/sk/LC_MESSAGES/katexmltools.mo
 share/locale/sk/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/sk/LC_MESSAGES/lspclient.mo
+share/locale/sk/LC_MESSAGES/rainbowparens.mo
+share/locale/sk/LC_MESSAGES/rbqlplugin.mo
 share/locale/sk/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/sl/LC_MESSAGES/formatplugin.mo
 share/locale/sl/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/sl/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/sl/LC_MESSAGES/kate.mo
@@ -1186,6 +1339,7 @@ share/locale/sl/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/sl/LC_MESSAGES/katebuild-plugin.mo
 share/locale/sl/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/sl/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/sl/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/sl/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/sl/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/sl/LC_MESSAGES/katefiletree.mo
@@ -1203,6 +1357,8 @@ share/locale/sl/LC_MESSAGES/katexmlcheck.mo
 share/locale/sl/LC_MESSAGES/katexmltools.mo
 share/locale/sl/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/sl/LC_MESSAGES/lspclient.mo
+share/locale/sl/LC_MESSAGES/rainbowparens.mo
+share/locale/sl/LC_MESSAGES/rbqlplugin.mo
 share/locale/sl/LC_MESSAGES/tabswitcherplugin.mo
 share/locale/sq/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/sq/LC_MESSAGES/kate.mo
@@ -1293,6 +1449,7 @@ share/locale/sr@latin/LC_MESSAGES/katexmlcheck.mo
 share/locale/sr@latin/LC_MESSAGES/katexmltools.mo
 share/locale/sr@latin/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/sr@latin/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/sv/LC_MESSAGES/formatplugin.mo
 share/locale/sv/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/sv/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/sv/LC_MESSAGES/kate.mo
@@ -1300,6 +1457,7 @@ share/locale/sv/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/sv/LC_MESSAGES/katebuild-plugin.mo
 share/locale/sv/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/sv/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/sv/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/sv/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/sv/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/sv/LC_MESSAGES/katefiletree.mo
@@ -1317,20 +1475,35 @@ share/locale/sv/LC_MESSAGES/katexmlcheck.mo
 share/locale/sv/LC_MESSAGES/katexmltools.mo
 share/locale/sv/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/sv/LC_MESSAGES/lspclient.mo
+share/locale/sv/LC_MESSAGES/rainbowparens.mo
+share/locale/sv/LC_MESSAGES/rbqlplugin.mo
 share/locale/sv/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/ta/LC_MESSAGES/formatplugin.mo
+share/locale/ta/LC_MESSAGES/kate-ctags-plugin.mo
+share/locale/ta/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/ta/LC_MESSAGES/kate.mo
+share/locale/ta/LC_MESSAGES/katebacktracebrowserplugin.mo
+share/locale/ta/LC_MESSAGES/katebuild-plugin.mo
 share/locale/ta/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/ta/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/ta/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/ta/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/ta/LC_MESSAGES/katefiletree.mo
+share/locale/ta/LC_MESSAGES/kategdbplugin.mo
 share/locale/ta/LC_MESSAGES/kategitblameplugin.mo
+share/locale/ta/LC_MESSAGES/katekeyboardmacros.mo
 share/locale/ta/LC_MESSAGES/katekonsoleplugin.mo
+share/locale/ta/LC_MESSAGES/kateproject.mo
 share/locale/ta/LC_MESSAGES/katesearch.mo
+share/locale/ta/LC_MESSAGES/katesnippetsplugin.mo
+share/locale/ta/LC_MESSAGES/katesql.mo
 share/locale/ta/LC_MESSAGES/katesymbolviewer.mo
 share/locale/ta/LC_MESSAGES/katetextfilter.mo
+share/locale/ta/LC_MESSAGES/katexmlcheck.mo
 share/locale/ta/LC_MESSAGES/katexmltools.mo
 share/locale/ta/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/ta/LC_MESSAGES/lspclient.mo
+share/locale/ta/LC_MESSAGES/rainbowparens.mo
 share/locale/ta/LC_MESSAGES/tabswitcherplugin.mo
 share/locale/te/LC_MESSAGES/kate.mo
 share/locale/tg/LC_MESSAGES/kate.mo
@@ -1341,6 +1514,7 @@ share/locale/th/LC_MESSAGES/kate.mo
 share/locale/th/LC_MESSAGES/katebuild-plugin.mo
 share/locale/th/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/th/LC_MESSAGES/katekonsoleplugin.mo
+share/locale/tr/LC_MESSAGES/formatplugin.mo
 share/locale/tr/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/tr/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/tr/LC_MESSAGES/kate.mo
@@ -1348,6 +1522,7 @@ share/locale/tr/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/tr/LC_MESSAGES/katebuild-plugin.mo
 share/locale/tr/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/tr/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/tr/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/tr/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/tr/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/tr/LC_MESSAGES/katefiletree.mo
@@ -1365,6 +1540,8 @@ share/locale/tr/LC_MESSAGES/katexmlcheck.mo
 share/locale/tr/LC_MESSAGES/katexmltools.mo
 share/locale/tr/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/tr/LC_MESSAGES/lspclient.mo
+share/locale/tr/LC_MESSAGES/rainbowparens.mo
+share/locale/tr/LC_MESSAGES/rbqlplugin.mo
 share/locale/tr/LC_MESSAGES/tabswitcherplugin.mo
 share/locale/ug/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/ug/LC_MESSAGES/kate.mo
@@ -1381,6 +1558,7 @@ share/locale/ug/LC_MESSAGES/katesql.mo
 share/locale/ug/LC_MESSAGES/katesymbolviewer.mo
 share/locale/ug/LC_MESSAGES/katetextfilter.mo
 share/locale/ug/LC_MESSAGES/katexmltools.mo
+share/locale/uk/LC_MESSAGES/formatplugin.mo
 share/locale/uk/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/uk/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/uk/LC_MESSAGES/kate.mo
@@ -1388,6 +1566,7 @@ share/locale/uk/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/uk/LC_MESSAGES/katebuild-plugin.mo
 share/locale/uk/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/uk/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/uk/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/uk/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/uk/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/uk/LC_MESSAGES/katefiletree.mo
@@ -1405,6 +1584,8 @@ share/locale/uk/LC_MESSAGES/katexmlcheck.mo
 share/locale/uk/LC_MESSAGES/katexmltools.mo
 share/locale/uk/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/uk/LC_MESSAGES/lspclient.mo
+share/locale/uk/LC_MESSAGES/rainbowparens.mo
+share/locale/uk/LC_MESSAGES/rbqlplugin.mo
 share/locale/uk/LC_MESSAGES/tabswitcherplugin.mo
 share/locale/uz/LC_MESSAGES/kate.mo
 share/locale/uz/LC_MESSAGES/katetextfilter.mo
@@ -1440,6 +1621,7 @@ share/locale/wa/LC_MESSAGES/katekonsoleplugin.mo
 share/locale/xh/LC_MESSAGES/kate.mo
 share/locale/xh/LC_MESSAGES/katetextfilter.mo
 share/locale/xh/LC_MESSAGES/katexmltools.mo
+share/locale/zh_CN/LC_MESSAGES/formatplugin.mo
 share/locale/zh_CN/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/zh_CN/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/zh_CN/LC_MESSAGES/kate.mo
@@ -1447,6 +1629,7 @@ share/locale/zh_CN/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/zh_CN/LC_MESSAGES/katebuild-plugin.mo
 share/locale/zh_CN/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/zh_CN/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/zh_CN/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/zh_CN/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/zh_CN/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/zh_CN/LC_MESSAGES/katefiletree.mo
@@ -1464,7 +1647,10 @@ share/locale/zh_CN/LC_MESSAGES/katexmlcheck.mo
 share/locale/zh_CN/LC_MESSAGES/katexmltools.mo
 share/locale/zh_CN/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/zh_CN/LC_MESSAGES/lspclient.mo
+share/locale/zh_CN/LC_MESSAGES/rainbowparens.mo
+share/locale/zh_CN/LC_MESSAGES/rbqlplugin.mo
 share/locale/zh_CN/LC_MESSAGES/tabswitcherplugin.mo
+share/locale/zh_TW/LC_MESSAGES/formatplugin.mo
 share/locale/zh_TW/LC_MESSAGES/kate-ctags-plugin.mo
 share/locale/zh_TW/LC_MESSAGES/kate-replicode-plugin.mo
 share/locale/zh_TW/LC_MESSAGES/kate.mo
@@ -1472,11 +1658,13 @@ share/locale/zh_TW/LC_MESSAGES/katebacktracebrowserplugin.mo
 share/locale/zh_TW/LC_MESSAGES/katebuild-plugin.mo
 share/locale/zh_TW/LC_MESSAGES/katecloseexceptplugin.mo
 share/locale/zh_TW/LC_MESSAGES/katecolorpickerplugin.mo
+share/locale/zh_TW/LC_MESSAGES/katecompilerexplorer.mo
 share/locale/zh_TW/LC_MESSAGES/kateexternaltoolsplugin.mo
 share/locale/zh_TW/LC_MESSAGES/katefilebrowserplugin.mo
 share/locale/zh_TW/LC_MESSAGES/katefiletree.mo
 share/locale/zh_TW/LC_MESSAGES/kategdbplugin.mo
 share/locale/zh_TW/LC_MESSAGES/kategitblameplugin.mo
+share/locale/zh_TW/LC_MESSAGES/katekeyboardmacros.mo
 share/locale/zh_TW/LC_MESSAGES/katekonsoleplugin.mo
 share/locale/zh_TW/LC_MESSAGES/kateproject.mo
 share/locale/zh_TW/LC_MESSAGES/katesearch.mo
@@ -1488,10 +1676,14 @@ share/locale/zh_TW/LC_MESSAGES/katexmlcheck.mo
 share/locale/zh_TW/LC_MESSAGES/katexmltools.mo
 share/locale/zh_TW/LC_MESSAGES/ktexteditorpreviewplugin.mo
 share/locale/zh_TW/LC_MESSAGES/lspclient.mo
+share/locale/zh_TW/LC_MESSAGES/rainbowparens.mo
+share/locale/zh_TW/LC_MESSAGES/rbqlplugin.mo
 share/locale/zh_TW/LC_MESSAGES/tabswitcherplugin.mo
 share/man/ca/man1/kate.1.gz
 share/man/de/man1/kate.1.gz
+share/man/eo/man1/kate.1.gz
 share/man/es/man1/kate.1.gz
+share/man/fr/man1/kate.1.gz
 share/man/it/man1/kate.1.gz
 share/man/man1/kate.1.gz
 share/man/nl/man1/kate.1.gz
diff --git a/editors/kile/Makefile b/editors/kile/Makefile
index 07d9b10e016f..703d4e705c9b 100644
--- a/editors/kile/Makefile
+++ b/editors/kile/Makefile
@@ -1,7 +1,6 @@
 PORTNAME=	kile
 DISTVERSIONPREFIX=	v
-DISTVERSION=	3.0b3
-PORTREVISION=	45
+DISTVERSION=	3.0b4
 CATEGORIES=	editors kde
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,20 +13,19 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 LIB_DEPENDS=	libpoppler.so:graphics/poppler \
 		libpoppler-qt5.so:graphics/poppler-qt5
 
-USES=		cmake compiler:c++11-lang cpe desktop-file-utils kde:5 qt:5 \
-		shared-mime-info shebangfix xorg
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext-tools \
+		kde:6 qt:6 shared-mime-info shebangfix xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons guiaddons i18n iconthemes init \
-		itemviews jobwidgets js khtml kio okular parts service solid \
+		coreaddons crash dbusaddons guiaddons i18n iconthemes \
+		itemviews jobwidgets kio okular parts service solid \
 		sonnet syntaxhighlighting texteditor textwidgets widgetsaddons \
 		windowsystem xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus gui network script widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 SHEBANG_FILES=	*.pl
 
-KDE_INVENT=	09ee4ef0417165b93da82c1fc057b9e1713a0c05 office
+KDE_INVENT=	ce7af7fc0ea36d275e0bd435d8f484d80310e6ea office
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/editors/kile/distinfo b/editors/kile/distinfo
index 4e322514854c..a682f0dc8887 100644
--- a/editors/kile/distinfo
+++ b/editors/kile/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1620381517
-SHA256 (office-kile-09ee4ef0417165b93da82c1fc057b9e1713a0c05_GL0.tar.gz) = 6b27178e81bfc5caa1bb08f454b00f6d84200ef8e8c99e7bd0ee29f356d55ed2
-SIZE (office-kile-09ee4ef0417165b93da82c1fc057b9e1713a0c05_GL0.tar.gz) = 3630957
+TIMESTAMP = 1735124012
+SHA256 (office-kile-ce7af7fc0ea36d275e0bd435d8f484d80310e6ea_GL0.tar.gz) = bcc786cfb553b2130da8fbd8144f223ffc69461fd7da1cb93b63e192c62c40d1
+SIZE (office-kile-ce7af7fc0ea36d275e0bd435d8f484d80310e6ea_GL0.tar.gz) = 9200163
diff --git a/editors/kile/pkg-plist b/editors/kile/pkg-plist
index 37ad30c14caa..66711db55da9 100644
--- a/editors/kile/pkg-plist
+++ b/editors/kile/pkg-plist
@@ -1,9 +1,15 @@
 bin/kile
-etc/xdg/kile.categories
-lib/libkdeinit5_kile.so
 share/applications/org.kde.kile.desktop
 share/config.kcfg/kile.kcfg
-share/dbus-1/interfaces/net.sourceforge.kile.main.xml
+share/dbus-1/interfaces/org.kde.kile.main.xml
+share/doc/HTML/ca/kile/index.cache.bz2
+share/doc/HTML/ca/kile/index.docbook
+share/doc/HTML/ca/kile/scripting.docbook
+share/doc/HTML/ca/kile/usermenu.docbook
+share/doc/HTML/de/kile/index.cache.bz2
+share/doc/HTML/de/kile/index.docbook
+share/doc/HTML/de/kile/scripting.docbook
+share/doc/HTML/de/kile/usermenu.docbook
 share/doc/HTML/en/kile/bullets.png
 share/doc/HTML/en/kile/command-view.png
 share/doc/HTML/en/kile/complete_cmd1.png
@@ -92,10 +98,134 @@ share/doc/HTML/en/kile/usermenu_10.png
 share/doc/HTML/en/kile/usermenu_11.png
 share/doc/HTML/en/kile/usermenu_11b.png
 share/doc/HTML/en/kile/usermenu_12.png
+share/doc/HTML/fr/kile/index.cache.bz2
+share/doc/HTML/fr/kile/index.docbook
+share/doc/HTML/fr/kile/scripting.docbook
+share/doc/HTML/fr/kile/usermenu.docbook
+share/doc/HTML/it/kile/index.cache.bz2
+share/doc/HTML/it/kile/index.docbook
+share/doc/HTML/it/kile/scripting.docbook
+share/doc/HTML/it/kile/usermenu.docbook
+share/doc/HTML/nl/kile/index.cache.bz2
+share/doc/HTML/nl/kile/index.docbook
+share/doc/HTML/nl/kile/scripting.docbook
+share/doc/HTML/nl/kile/usermenu.docbook
+share/doc/HTML/pl/kile/bullets.png
+share/doc/HTML/pl/kile/command-view.png
+share/doc/HTML/pl/kile/config-complete.png
+share/doc/HTML/pl/kile/config-dblquotes.png
+share/doc/HTML/pl/kile/config-encoding.png
+share/doc/HTML/pl/kile/config-quickpreview.png
+share/doc/HTML/pl/kile/config-userhelp.png
+share/doc/HTML/pl/kile/delete.png
+share/doc/HTML/pl/kile/dialog-addhelp.png
+share/doc/HTML/pl/kile/dialog-docbrowser1.png
+share/doc/HTML/pl/kile/dialog-docbrowser2.png
+share/doc/HTML/pl/kile/dialog-float.png
+share/doc/HTML/pl/kile/dialog-insertreference.png
+share/doc/HTML/pl/kile/dialog-insertsection.png
+share/doc/HTML/pl/kile/dialog-math.png
+share/doc/HTML/pl/kile/dialog-pstools.png
+share/doc/HTML/pl/kile/dialog-tabular.png
+share/doc/HTML/pl/kile/dialog-userhelp.png
+share/doc/HTML/pl/kile/environment.png
+share/doc/HTML/pl/kile/includegraphics.png
+share/doc/HTML/pl/kile/index.cache.bz2
+share/doc/HTML/pl/kile/index.docbook
+share/doc/HTML/pl/kile/latex_example.png
+share/doc/HTML/pl/kile/menu-userhelp.png
+share/doc/HTML/pl/kile/project-creation.png
+share/doc/HTML/pl/kile/quickpreview.png
+share/doc/HTML/pl/kile/scripting.docbook
+share/doc/HTML/pl/kile/select.png
+share/doc/HTML/pl/kile/snap_compile_error.png
+share/doc/HTML/pl/kile/snap_okular_settings.png
+share/doc/HTML/pl/kile/snap_sidebarmenu.png
+share/doc/HTML/pl/kile/texgroup.png
+share/doc/HTML/pl/kile/usermenu.docbook
+share/doc/HTML/pt_BR/kile/index.cache.bz2
+share/doc/HTML/pt_BR/kile/index.docbook
+share/doc/HTML/pt_BR/kile/scripting.docbook
+share/doc/HTML/pt_BR/kile/usermenu.docbook
+share/doc/HTML/sv/kile/index.cache.bz2
+share/doc/HTML/sv/kile/index.docbook
+share/doc/HTML/sv/kile/scripting.docbook
+share/doc/HTML/sv/kile/usermenu.docbook
+share/doc/HTML/uk/kile/bullets.png
+share/doc/HTML/uk/kile/command-view.png
+share/doc/HTML/uk/kile/config-complete.png
+share/doc/HTML/uk/kile/config-dblquotes.png
+share/doc/HTML/uk/kile/config-encoding.png
+share/doc/HTML/uk/kile/config-quickpreview.png
+share/doc/HTML/uk/kile/config-userhelp.png
+share/doc/HTML/uk/kile/delete.png
+share/doc/HTML/uk/kile/dialog-addhelp.png
+share/doc/HTML/uk/kile/dialog-docbrowser1.png
+share/doc/HTML/uk/kile/dialog-docbrowser2.png
+share/doc/HTML/uk/kile/dialog-float.png
+share/doc/HTML/uk/kile/dialog-insertreference.png
+share/doc/HTML/uk/kile/dialog-insertsection.png
+share/doc/HTML/uk/kile/dialog-math.png
+share/doc/HTML/uk/kile/dialog-pdftools1.png
+share/doc/HTML/uk/kile/dialog-pdftools2.png
+share/doc/HTML/uk/kile/dialog-pdftools3.png
+share/doc/HTML/uk/kile/dialog-pstools.png
+share/doc/HTML/uk/kile/dialog-tabular.png
+share/doc/HTML/uk/kile/dialog-userhelp.png
+share/doc/HTML/uk/kile/environment.png
+share/doc/HTML/uk/kile/includegraphics.png
+share/doc/HTML/uk/kile/index.cache.bz2
+share/doc/HTML/uk/kile/index.docbook
+share/doc/HTML/uk/kile/latex_example.png
+share/doc/HTML/uk/kile/menu-userhelp.png
+share/doc/HTML/uk/kile/project-creation.png
+share/doc/HTML/uk/kile/quickpreview.png
+share/doc/HTML/uk/kile/scripting-configure.png
+share/doc/HTML/uk/kile/scripting-execbutton.png
+share/doc/HTML/uk/kile/scripting-keysequence1.png
+share/doc/HTML/uk/kile/scripting-keysequence2.png
+share/doc/HTML/uk/kile/scripting-panel.png
+share/doc/HTML/uk/kile/scripting-shortcut.png
+share/doc/HTML/uk/kile/scripting-support.png
+share/doc/HTML/uk/kile/scripting.docbook
+share/doc/HTML/uk/kile/select.png
+share/doc/HTML/uk/kile/snap_autocomplete.png
+share/doc/HTML/uk/kile/snap_compile_error.png
+share/doc/HTML/uk/kile/snap_okular_settings.png
+share/doc/HTML/uk/kile/snap_projectview.png
+share/doc/HTML/uk/kile/snap_projectview_add.png
+share/doc/HTML/uk/kile/snap_ref_choose.png
+share/doc/HTML/uk/kile/snap_ref_select.png
+share/doc/HTML/uk/kile/snap_sidebarmenu.png
+share/doc/HTML/uk/kile/snap_structview_label.png
+share/doc/HTML/uk/kile/structureview-context1.png
+share/doc/HTML/uk/kile/structureview-context2.png
+share/doc/HTML/uk/kile/structureview.png
+share/doc/HTML/uk/kile/texgroup.png
+share/doc/HTML/uk/kile/usermenu.docbook
+share/doc/HTML/uk/kile/usermenu_01.png
+share/doc/HTML/uk/kile/usermenu_02.png
+share/doc/HTML/uk/kile/usermenu_03.png
+share/doc/HTML/uk/kile/usermenu_04.png
+share/doc/HTML/uk/kile/usermenu_05.png
+share/doc/HTML/uk/kile/usermenu_06a.png
+share/doc/HTML/uk/kile/usermenu_06b.png
+share/doc/HTML/uk/kile/usermenu_07a.png
+share/doc/HTML/uk/kile/usermenu_07b.png
+share/doc/HTML/uk/kile/usermenu_07c.png
+share/doc/HTML/uk/kile/usermenu_08a.png
+share/doc/HTML/uk/kile/usermenu_08b.png
+share/doc/HTML/uk/kile/usermenu_08c.png
+share/doc/HTML/uk/kile/usermenu_08d.png
+share/doc/HTML/uk/kile/usermenu_08e.png
+share/doc/HTML/uk/kile/usermenu_08f.png
+share/doc/HTML/uk/kile/usermenu_09.png
+share/doc/HTML/uk/kile/usermenu_10.png
+share/doc/HTML/uk/kile/usermenu_11.png
+share/doc/HTML/uk/kile/usermenu_12.png
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/README.MacOSX
 %%PORTDOCS%%%%DOCSDIR%%/README.cwl
 %%PORTDOCS%%%%DOCSDIR%%/kile-remote-control.txt
 share/icons/hicolor/128x128/apps/kile.png
@@ -253,13 +383,9 @@ share/kconf_update/kile2.0-5_upd.pl
 %%DATADIR%%/encodings/latin4.enc
 %%DATADIR%%/encodings/latin5.enc
 %%DATADIR%%/encodings/latin9.enc
-%%DATADIR%%/help/latex-kile.lst
-%%DATADIR%%/help/latex-tetex.lst
-%%DATADIR%%/help/latex-tetex3.lst
-%%DATADIR%%/help/latex-texlive-3.9.lst
-%%DATADIR%%/help/latex2e-texlive.html
-%%DATADIR%%/help/latex2e-texlive.lst
+%%DATADIR%%/help/latex-kile.index
 %%DATADIR%%/help/latexhelp.html
+%%DATADIR%%/help/unofficial-latex2e-reference-manual.index
 %%DATADIR%%/icons/hicolor/128x128/actions/nroot.png
 %%DATADIR%%/icons/hicolor/128x128/actions/sqrt.png
 %%DATADIR%%/icons/hicolor/16x16/actions/BBmatrix.png
@@ -1583,5 +1709,55 @@ share/kconf_update/kile2.0-5_upd.pl
 %%DATADIR%%/test/test_index.tex
 %%DATADIR%%/test/test_plain.tex
 %%DATADIR%%/usermenu/example.xml
+share/locale/ar/LC_MESSAGES/kile.mo
+share/locale/bg/LC_MESSAGES/kile.mo
+share/locale/bs/LC_MESSAGES/kile.mo
+share/locale/ca/LC_MESSAGES/kile.mo
+share/locale/ca@valencia/LC_MESSAGES/kile.mo
+share/locale/cs/LC_MESSAGES/kile.mo
+share/locale/da/LC_MESSAGES/kile.mo
+share/locale/de/LC_MESSAGES/kile.mo
+share/locale/el/LC_MESSAGES/kile.mo
+share/locale/en_GB/LC_MESSAGES/kile.mo
+share/locale/eo/LC_MESSAGES/kile.mo
+share/locale/es/LC_MESSAGES/kile.mo
+share/locale/et/LC_MESSAGES/kile.mo
+share/locale/eu/LC_MESSAGES/kile.mo
+share/locale/fi/LC_MESSAGES/kile.mo
+share/locale/fr/LC_MESSAGES/kile.mo
+share/locale/ga/LC_MESSAGES/kile.mo
+share/locale/gl/LC_MESSAGES/kile.mo
+share/locale/hi/LC_MESSAGES/kile.mo
+share/locale/hne/LC_MESSAGES/kile.mo
+share/locale/hu/LC_MESSAGES/kile.mo
+share/locale/ia/LC_MESSAGES/kile.mo
+share/locale/ie/LC_MESSAGES/kile.mo
+share/locale/it/LC_MESSAGES/kile.mo
+share/locale/ja/LC_MESSAGES/kile.mo
+share/locale/ka/LC_MESSAGES/kile.mo
+share/locale/kk/LC_MESSAGES/kile.mo
+share/locale/ko/LC_MESSAGES/kile.mo
+share/locale/lt/LC_MESSAGES/kile.mo
+share/locale/mai/LC_MESSAGES/kile.mo
+share/locale/mr/LC_MESSAGES/kile.mo
+share/locale/ms/LC_MESSAGES/kile.mo
+share/locale/nb/LC_MESSAGES/kile.mo
+share/locale/nds/LC_MESSAGES/kile.mo
+share/locale/nl/LC_MESSAGES/kile.mo
+share/locale/nn/LC_MESSAGES/kile.mo
+share/locale/pl/LC_MESSAGES/kile.mo
+share/locale/pt/LC_MESSAGES/kile.mo
+share/locale/pt_BR/LC_MESSAGES/kile.mo
+share/locale/ro/LC_MESSAGES/kile.mo
+share/locale/ru/LC_MESSAGES/kile.mo
+share/locale/sk/LC_MESSAGES/kile.mo
+share/locale/sl/LC_MESSAGES/kile.mo
+share/locale/sv/LC_MESSAGES/kile.mo
+share/locale/tr/LC_MESSAGES/kile.mo
+share/locale/ug/LC_MESSAGES/kile.mo
+share/locale/uk/LC_MESSAGES/kile.mo
+share/locale/zh_CN/LC_MESSAGES/kile.mo
+share/locale/zh_TW/LC_MESSAGES/kile.mo
 share/metainfo/org.kde.kile.appdata.xml
 share/mime/packages/kile.xml
+share/qlogging-categories6/kile.categories
diff --git a/games/blinken/Makefile b/games/blinken/Makefile
index c5c427bef4b7..a8b60cabb8b1 100644
--- a/games/blinken/Makefile
+++ b/games/blinken/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Memory enhancement game
 WWW=		https://edu.kde.org/blinken/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		doctools guiaddons i18n phonon widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/blinken/distinfo b/games/blinken/distinfo
index c43af090cd89..2e2a3aa96891 100644
--- a/games/blinken/distinfo
+++ b/games/blinken/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889374
-SHA256 (KDE/release-service/23.08.5/blinken-23.08.5.tar.xz) = 4ad04b9973c97b1dd12f2b263b6fb8accdd6af68c97907681cb0ad80227ba3c6
-SIZE (KDE/release-service/23.08.5/blinken-23.08.5.tar.xz) = 2725548
+TIMESTAMP = 1734460112
+SHA256 (KDE/release-service/24.12.0/blinken-24.12.0.tar.xz) = c2ee251c7b612b24ab488793a016f72a86ad3b4bfef6f837d0d182c53563daba
+SIZE (KDE/release-service/24.12.0/blinken-24.12.0.tar.xz) = 2676028
diff --git a/games/blinken/pkg-plist b/games/blinken/pkg-plist
index 2f21c01f971a..9adfecd8dabc 100644
--- a/games/blinken/pkg-plist
+++ b/games/blinken/pkg-plist
@@ -17,6 +17,7 @@ share/icons/hicolor/48x48/apps/blinken.png
 share/icons/hicolor/64x64/apps/blinken.png
 share/icons/hicolor/scalable/apps/blinken.svgz
 share/locale/ar/LC_MESSAGES/blinken.mo
+share/locale/ast/LC_MESSAGES/blinken.mo
 share/locale/be/LC_MESSAGES/blinken.mo
 share/locale/bg/LC_MESSAGES/blinken.mo
 share/locale/bn/LC_MESSAGES/blinken.mo
diff --git a/games/bomber/Makefile b/games/bomber/Makefile
index 7259ca34bade..77139c56ccfc 100644
--- a/games/bomber/Makefile
+++ b/games/bomber/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/bomber/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		i18n kio libkdegames phonon widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/bomber/distinfo b/games/bomber/distinfo
index cfd5f2c2d675..5aa20e1446dd 100644
--- a/games/bomber/distinfo
+++ b/games/bomber/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889401
-SHA256 (KDE/release-service/23.08.5/bomber-23.08.5.tar.xz) = 769eb15c4a0f1ae2b6cd89c9d76d260873d3594f365c52b3b106003ffc48b38a
-SIZE (KDE/release-service/23.08.5/bomber-23.08.5.tar.xz) = 840136
+TIMESTAMP = 1734460115
+SHA256 (KDE/release-service/24.12.0/bomber-24.12.0.tar.xz) = d0b12cc21bce1a01c842b6638978a942888ce05694d3cdaa38f1a85d2ddac4fa
+SIZE (KDE/release-service/24.12.0/bomber-24.12.0.tar.xz) = 838920
diff --git a/games/bomber/pkg-plist b/games/bomber/pkg-plist
index 9ebe76abdfce..b1a1e2c93260 100644
--- a/games/bomber/pkg-plist
+++ b/games/bomber/pkg-plist
@@ -14,6 +14,7 @@ share/icons/hicolor/32x32/apps/bomber.png
 share/icons/hicolor/48x48/apps/bomber.png
 share/icons/hicolor/64x64/apps/bomber.png
 share/locale/ar/LC_MESSAGES/bomber.mo
+share/locale/ast/LC_MESSAGES/bomber.mo
 share/locale/bg/LC_MESSAGES/bomber.mo
 share/locale/bs/LC_MESSAGES/bomber.mo
 share/locale/ca/LC_MESSAGES/bomber.mo
@@ -35,6 +36,7 @@ share/locale/gu/LC_MESSAGES/bomber.mo
 share/locale/he/LC_MESSAGES/bomber.mo
 share/locale/hr/LC_MESSAGES/bomber.mo
 share/locale/hu/LC_MESSAGES/bomber.mo
+share/locale/ia/LC_MESSAGES/bomber.mo
 share/locale/id/LC_MESSAGES/bomber.mo
 share/locale/is/LC_MESSAGES/bomber.mo
 share/locale/it/LC_MESSAGES/bomber.mo
diff --git a/games/bovo/Makefile b/games/bovo/Makefile
index 6adada8e0cd6..1e34feba8f20 100644
--- a/games/bovo/Makefile
+++ b/games/bovo/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/bovo/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		i18n kdeclarative libkdegames newstuff widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/bovo/distinfo b/games/bovo/distinfo
index f627634cd12e..3692d8b11eb8 100644
--- a/games/bovo/distinfo
+++ b/games/bovo/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889388
-SHA256 (KDE/release-service/23.08.5/bovo-23.08.5.tar.xz) = db79b3cc909f1348b2fdf57705085ff9684c35f377c0cb962854e284a51f1e4b
-SIZE (KDE/release-service/23.08.5/bovo-23.08.5.tar.xz) = 216552
+TIMESTAMP = 1734460116
+SHA256 (KDE/release-service/24.12.0/bovo-24.12.0.tar.xz) = f94dd3b9d77497c3f0065588d5ef96affeb26de7cbb1f85e1021140fceaee94b
+SIZE (KDE/release-service/24.12.0/bovo-24.12.0.tar.xz) = 220320
diff --git a/games/bovo/pkg-plist b/games/bovo/pkg-plist
index d0286b21f208..70f915f282b5 100644
--- a/games/bovo/pkg-plist
+++ b/games/bovo/pkg-plist
@@ -1,12 +1,12 @@
 bin/bovo
 share/applications/org.kde.bovo.desktop
-%%DATADIR%%/themes/gomoku/theme.svg
+%%DATADIR%%/themes/gomoku/theme.svgz
 %%DATADIR%%/themes/gomoku/themerc
-%%DATADIR%%/themes/highcontrast/theme.svg
+%%DATADIR%%/themes/highcontrast/theme.svgz
 %%DATADIR%%/themes/highcontrast/themerc
-%%DATADIR%%/themes/scribble/theme.svg
+%%DATADIR%%/themes/scribble/theme.svgz
 %%DATADIR%%/themes/scribble/themerc
-%%DATADIR%%/themes/spacy/theme.svg
+%%DATADIR%%/themes/spacy/theme.svgz
 %%DATADIR%%/themes/spacy/themerc
 share/icons/hicolor/128x128/apps/bovo.png
 share/icons/hicolor/16x16/apps/bovo.png
@@ -15,6 +15,7 @@ share/icons/hicolor/32x32/apps/bovo.png
 share/icons/hicolor/48x48/apps/bovo.png
 share/icons/hicolor/64x64/apps/bovo.png
 share/locale/ar/LC_MESSAGES/bovo.mo
+share/locale/ast/LC_MESSAGES/bovo.mo
 share/locale/be/LC_MESSAGES/bovo.mo
 share/locale/bg/LC_MESSAGES/bovo.mo
 share/locale/bs/LC_MESSAGES/bovo.mo
@@ -34,10 +35,12 @@ share/locale/fi/LC_MESSAGES/bovo.mo
 share/locale/fr/LC_MESSAGES/bovo.mo
 share/locale/ga/LC_MESSAGES/bovo.mo
 share/locale/gl/LC_MESSAGES/bovo.mo
+share/locale/he/LC_MESSAGES/bovo.mo
 share/locale/hi/LC_MESSAGES/bovo.mo
 share/locale/hne/LC_MESSAGES/bovo.mo
 share/locale/hr/LC_MESSAGES/bovo.mo
 share/locale/hu/LC_MESSAGES/bovo.mo
+share/locale/ia/LC_MESSAGES/bovo.mo
 share/locale/id/LC_MESSAGES/bovo.mo
 share/locale/is/LC_MESSAGES/bovo.mo
 share/locale/it/LC_MESSAGES/bovo.mo
